MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002362ATutorTests/Surveyspublic2006-04-13 05:352007-08-01 13:19
Reporteruser2 
Assigned Touser2 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.5 
Summary0002362: refresh tests
Descriptionthere was the reported issue of refreshing randomized tests to get different questions. a solution could be to save the test questions as a result for that test, but with all answers blank and the final_mark set to some special value. when someone refreshes the test then it'll grab the test based on the empty results test.
changes to the marking/submission page would have to filter out those tests so that instructors don't mark them before they're done. a cron could be run weekly to delete old saved tests that haven't been taken.
TagsNo tags attached.
Affects version
SVN Revision#
Attached Files

- Relationships
parent of 0003084new timed tests 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0002058)
heidi (developer)
2006-06-30 05:42

should we do this for 1.5.3?
(0002481)
user2
2007-07-06 08:14

bump
(0002482)
user2
2007-07-06 08:30
edited on: 2007-07-06 08:31

- add `status` to test_results to designate 'in progress' tests.
- update the table so that all previous taken tests are 'complete' (when upgrading).
- these results should not be included in question stats or other submission stats on the admin page.
- when viewing an 'in progress' test then it should retrieve the same test.
- the 'in progress' results will not be listed on the `my tests` page.
- obviously, the `insert`s have to be changed to `update`s when saving the question result.

(0002483)
user2
2007-07-09 06:33

conflicts with guest tests.
(0002511)
greg (administrator)
2007-08-01 13:19

random test still show a new test when page is refreshed

- Issue History
Date Modified Username Field Change
2006-04-13 05:35 user2 New Issue
2006-06-02 06:37 greg Note Added: 0001897
2006-06-14 06:49 user2 Note Deleted: 0001897
2006-06-30 05:42 heidi Note Added: 0002058
2007-07-06 08:14 user2 Note Added: 0002481
2007-07-06 08:16 user2 Relationship added parent of 0003084
2007-07-06 08:30 user2 Note Added: 0002482
2007-07-06 08:31 user2 Note Edited: 0002482
2007-07-09 06:33 user2 Note Added: 0002483
2007-07-09 07:33 user2 Status new => resolved
2007-07-09 07:33 user2 Fixed in Version => 1.5.5
2007-07-09 07:33 user2 Resolution open => fixed
2007-07-09 07:33 user2 Assigned To => user2
2007-07-16 11:44 user2 Status resolved => closed
2007-08-01 13:19 greg Note Added: 0002511


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker